1. Advertising
    y u no do it?

    Advertising (learn more)

    Advertise virtually anything here, with CPM banner ads, CPM email ads and CPC contextual links. You can target relevant areas of the site and show ads based on geographical location of the user if you wish.

    Starts at just $1 per CPM or $0.10 per CPC.

Problems with Wordpress , I will pay if u fix them.

Discussion in 'WordPress' started by z80039, Nov 4, 2007.

  1. #1
    I have a wordpress site and after importing the needed database to my site I get the following error after posting or editing a post :



    WordPress database error: [Table '*****_*****.wp_post2cat' doesn't exist]
    SELECT cat_ID AS ID, MAX(post_modified) AS last_mod FROM `wp_posts` p LEFT JOIN `wp_post2cat` pc ON p.ID = pc.post_id LEFT JOIN `wp_categories` c ON pc.category_id = c.cat_ID WHERE post_status = 'publish' GROUP BY cat_ID

    WordPress database error: [Table '*****_*****.wp_post2cat' doesn't exist]
    SELECT cat_ID AS ID, MAX(post_modified) AS last_mod FROM `wp_posts` p LEFT JOIN `wp_post2cat` pc ON p.ID = pc.post_id LEFT JOIN `wp_categories` c ON pc.category_id = c.cat_ID WHERE post_status = 'publish' GROUP BY cat_ID

    Warning: Cannot modify header information - headers already sent by (output started at /home/*****/public_html/******/wp-includes/wp-db.php:160) in /home/*****/public_html/******/wp-includes/pluggable.php on line 390


    that was my first problem.

    The second one is that when I try to activate some plugins like statspress and wp-usersonline , they get activated but don't work properly.
    SEMrush
    If u think u can fix these problems then please post here or pm me.
     
    z80039, Nov 4, 2007 IP
    SEMrush
  2. tulip4heaven

    tulip4heaven Well-Known Member

    Messages:
    2,774
    Likes Received:
    86
    Best Answers:
    0
    Trophy Points:
    160
    #2
    Hi ,
    Can you catch me on msn , I will fix this

    Thanks
    Tulip
     
    tulip4heaven, Nov 4, 2007 IP
  3. z80039

    z80039 Well-Known Member

    Messages:
    517
    Likes Received:
    10
    Best Answers:
    0
    Trophy Points:
    130
    #3
    pls pm me ur msn
    thnx
     
    z80039, Nov 4, 2007 IP
  4. Swiftblade

    Swiftblade Peon

    Messages:
    106
    Likes Received:
    5
    Best Answers:
    0
    Trophy Points:
    0
    #4
    The problem is that some of your plugins do not support the new 2.3 WP version. 2.3 removes those category and do not use them anymore.

    In conclusion, your plugin is not compatible with 2.3. A common problem, you dont have to pay for people to help you.
     
    Swiftblade, Nov 4, 2007 IP
    z80039 likes this.
  5. maxyRO

    maxyRO Peon

    Messages:
    1,317
    Likes Received:
    15
    Best Answers:
    0
    Trophy Points:
    0
    #5
    You should google it and this way you'll find why does the error appear and what plugin causes it.
     
    maxyRO, Nov 5, 2007 IP
    z80039 likes this.
  6. amitpatel_3001

    amitpatel_3001 Results Follow Patience

    Messages:
    14,074
    Likes Received:
    1,177
    Best Answers:
    0
    Trophy Points:
    430
    #6
    amitpatel_3001, Nov 5, 2007 IP
  7. z80039

    z80039 Well-Known Member

    Messages:
    517
    Likes Received:
    10
    Best Answers:
    0
    Trophy Points:
    130
    #7
    thnx for the help.This is really what the problem was.
    REP added
     
    z80039, Nov 5, 2007 IP
  8. z80039

    z80039 Well-Known Member

    Messages:
    517
    Likes Received:
    10
    Best Answers:
    0
    Trophy Points:
    130
    #8
    REP added to all.thnx
     
    z80039, Nov 5, 2007 IP
  9. TheDutchMan

    TheDutchMan Peon

    Messages:
    374
    Likes Received:
    8
    Best Answers:
    0
    Trophy Points:
    0
    #9
    I'm stunned. I just came in to post the exact same error that i have with two of my blogs.

    Ill be checking your tips.
     
    TheDutchMan, Nov 5, 2007 IP
  10. TheDutchMan

    TheDutchMan Peon

    Messages:
    374
    Likes Received:
    8
    Best Answers:
    0
    Trophy Points:
    0
    #10
    I can not believe this…. Pfff.

    I was working on those errors and I completed the list with tips that amitpatel_3001 suggested with his link but nothing worked. Last thing I did was disable all the plugins one by one and checked if I still had the same error.

    About a month ago I upgraded 4 blogs at the same time. All four are practically identical with the same themes and plugins.

    I upgraded to WP2.3 and I also upgraded all the plugins with a list where I written down all the plugins versions numbers. But now it seems that while I was upgrading the plugins for these four blogs I missed two blogs for some kind of reason. Two blogs (the ones that gave me the error) had an older version of the google sitemap plugin.

    This is really unbelievable; it was 5 am last night when I went to bed. Unbelievable…. I’m glad though that the blogs are working now without any errors.

    Thanks guys for the tips!!
     
    TheDutchMan, Nov 6, 2007 IP
  11. theanand

    theanand Active Member

    Messages:
    603
    Likes Received:
    20
    Best Answers:
    0
    Trophy Points:
    60
    #11
    ah, glad you wer able to fix your problems....I have not upgraded mine yet. I plan to wait till there is a good stable version....hopefull in a month or so...
     
    theanand, Nov 6, 2007 IP
  12. ken_

    ken_ Peon

    Messages:
    42
    Likes Received:
    0
    Best Answers:
    0
    Trophy Points:
    0
    #12
    I have the same problem. This is a blog post that I share and talk about how the wordpress 2.3 break things and what you can do to fix it.

    wordpress 2.3 break a lot of things

    Hope this will provide extra information for those who like to upgrade to wordpress version 2.3
     
    ken_, Nov 6, 2007 IP